CVE-2014-7849

Current Description

The Role Based Access Control (RBAC) implementation in JBoss Enterprise Application Platform (EAP) 6.2.0 through 6.3.2 does not properly verify authorization conditions, which allows remote authenticated users to add, modify, and undefine otherwise restricted attributes by leveraging the Maintainer role.

Basic Data

PublishedFebruary 13, 2015
Last ModifiedSeptember 08, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-264
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:S/C:N/I:P/A:N
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationSINGLE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactNONE
CVSS 2 - Base Score4.0
SeverityMEDIUM
Exploitability Score8.0
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationRedhatJboss Enterprise Application Platform6.2.0*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.2.1*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.2.2*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.2.3*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.2.4*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.3.0*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.3.1*******
    2.3ApplicationRedhatJboss Enterprise Application Platform6.3.2*******

Vulnerable Software List

VendorProductVersions
Redhat Jboss Enterprise Application Platform 6.2.0, 6.2.1, 6.2.2, 6.2.3, 6.2.4, 6.3.0, 6.3.1, 6.3.2

References

NameSourceURLTags
RHSA-2015:0215http://rhn.redhat.com/errata/RHSA-2015-0215.htmlREDHATVendor Advisory
RHSA-2015:0216http://rhn.redhat.com/errata/RHSA-2015-0216.htmlREDHATVendor Advisory
RHSA-2015:0217http://rhn.redhat.com/errata/RHSA-2015-0217.htmlREDHATVendor Advisory
RHSA-2015:0218http://rhn.redhat.com/errata/RHSA-2015-0218.htmlREDHATVendor Advisory
RHSA-2015:0920http://rhn.redhat.com/errata/RHSA-2015-0920.htmlREDHATVendor Advisory
1031741http://www.securitytracker.com/id/1031741SECTRACK
https://bugzilla.redhat.com/show_bug.cgi?id=1165170https://bugzilla.redhat.com/show_bug.cgi?id=1165170CONFIRMVendor Advisory
redhat-jboss-cve20147849-sec-bypass(100890)https://exchange.xforce.ibmcloud.com/vulnerabilities/100890XF